=== Wrapping/CMakeLists.txt ===
IF(PYTHON_WRAP)
    FIND_PACKAGE(SWIG REQUIRED)
    INCLUDE(UseSwig_AlwaysShared.cmake)
    SUBDIRS(src)
ENDIF(PYTHON_WRAP)
