=== documentation/CMakeLists.txt ===
IF ( BUILD_DOCUMENTATION )
    SUBDIRS(reference)
ENDIF ( BUILD_DOCUMENTATION )

IF ( BUILD_TUTORIALS )
    SUBDIRS(tutorial)
ENDIF ( BUILD_TUTORIALS )
