=== libs/CMakeLists.txt ===
SUBDIRS(MatLib)
