=== documentation/tutorial/CMakeLists.txt ===
INCLUDE(UseLATEX.cmake)

SUBDIRS(french english)
