=== libs/MatLib/CMakeLists.txt ===
SUBDIRS(MatLib)

IF (BUILD_TESTING)
    SUBDIRS(Test)
ENDIF ()
