=== debian/changelog ===
openmeeg (2.0.0.dfsg-5.1ubuntu1) saucy; urgency=low

  * Remove libtiff4-dev from Build-Depends to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 24 Jul 2013 23:15:23 -0400

openmeeg (2.0.0.dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adapt for API changes in MatIO 1.5
    + debian/patches/matio_1.5: new patch
    + debian/control: add versioned build dependency on libmatio-dev
    (Closes: #706804)
  * debian/patches/cmake_clean: new patch, fixes FTBFS with recent versions of
    cmake

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jun 2013 12:53:37 +0200

openmeeg (2.0.0.dfsg-5) unstable; urgency=low

  * debian/rules:
    - exclude 8 tests from being run on big-endian architectures due to
      incompatible architecture-specific test files (Closes: #631856)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Jun 2012 12:54:43 -0400

openmeeg (2.0.0.dfsg-4) unstable; urgency=low

  * debian/control:
    - tuned up descriptions per upstream request
    - boosted policy to 3.9.3
  * debian/copyright:
    - carries two recommended upstream references for citations
    - DEP5 compliant now
  * debian/rules:
    - added get-orig-source rules to compose upstream tarball from SVN
    - switched to debhelper7 from cdbs
    - generate debian/pyversions upon configure so package could build
      against any default python version (Closes: #646668)
    - call dh_numpy for numpy API version depends
  * debian/patches:
    - up_integrator_thiss to build with gcc 4.7x

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Jun 2012 14:55:13 -0400

openmeeg (2.0.0.dfsg-3) unstable; urgency=low

  * Enabling unittesting during build:
    + override -DCMAKE_SKIP_RPATH:BOOL=OFF so RPATH should be used
      during compilation so that tests find dynamic libraries
  * Boost policy compliance to 3.9.2: BSD license verbatim
  * Adjusted copyright file for DEP5 (CeCILL-B indented, field names)
  * Build-Depend on python-dev instead of python-all-dev;
    feed cmake with a single (default) Python version (Closes: #626924)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 31 May 2011 15:52:58 -0400

openmeeg (2.0.0.dfsg-2) unstable; urgency=low

  * Initial Debian release (Closes: #517346)
  * Addressing ftp-master concerns:
    - debian/copyright: include complete text of CeCILL-B
      (see #565884 for why CeCILLs aren't yet in common-licenses)
    - debian/control: apparently CeCILL-B is now DFSG-compliant,
      so moving into main from non-free

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 06 Jun 2010 21:57:36 -0400

openmeeg (2.0.0.dfsg-1) UNRELEASED; urgency=low

  * New upstream release
  * Moved to 3.0 (quilt) source format, absorbed into patch series:
    + installing headers under /usr/include/openmeeg
    + building of libOpenMEEG
  * Additional patch to do not rely on stripped contrib/ materials

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 02 Jun 2010 00:34:49 -0400

openmeeg (1.0.0-1) UNRELEASED; urgency=low

  * Initial packaging.
  * Override lintian warning about missing manpages.  Upstream doesn't provide
    them for numerous tools.
  * Override lintian warning about multiple libs in one package, since they
    are meant to be used together.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 09 Nov 2009 12:19:00 -0500
