=== debian/control ===
Source: openmeeg
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, doxygen, python-numpy, swig, python-dev (>= 2.4), python-support (>= 0.6), libatlas-base-dev, libvtk5-dev, libtiff-dev, libmatio-dev (>= 1.5)
Standards-Version: 3.9.3
Homepage: http://www-sop.inria.fr/odyssee/software/OpenMEEG/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/openmeeg.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/openmeeg.git

Package: libopenmeeg1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for solving EEG and MEG forward and inverse problems
 OpenMEEG consists of state-of-the art solvers for forward problems in
 the field of MEG and EEG.  Solvers are based on the symmetric
 Boundary Element method [Kybic et al, 2005], providing excellent
 accuracy, particularly for superficial cortical sources. OpenMEEG can
 compute four types of lead fields (EEG, MEG, Internal Potential and
 Electrical Impedence Tomography).
 .
 This package provides dynamic libraries.

Package: libopenmeeg-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: openmeeg library -- development files
 OpenMEEG consists of state-of-the art solvers for forward problems in
 the field of MEG and EEG.  Solvers are based on the symmetric
 Boundary Element method [Kybic et al, 2005], providing excellent
 accuracy, particularly for superficial cortical sources. OpenMEEG can
 compute four types of lead fields (EEG, MEG, Internal Potential and
 Electrical Impedence Tomography).
 .
 This package provides static libraries and header files.


Package: openmeeg-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: openmeeg library -- command line tools
 OpenMEEG consists of state-of-the art solvers for forward problems in
 the field of MEG and EEG.  Solvers are based on the symmetric
 Boundary Element method [Kybic et al, 2005], providing excellent
 accuracy, particularly for superficial cortical sources. OpenMEEG can
 compute four types of lead fields (EEG, MEG, Internal Potential and
 Electrical Impedence Tomography).
 .
 This package provides command line interface to openmeeg functionality.


Package: python-openmeeg
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: openmeeg library -- Python bindings
 OpenMEEG consists of state-of-the art solvers for forward problems in
 the field of MEG and EEG.  Solvers are based on the symmetric
 Boundary Element method [Kybic et al, 2005], providing excellent
 accuracy, particularly for superficial cortical sources. OpenMEEG can
 compute four types of lead fields (EEG, MEG, Internal Potential and
 Electrical Impedence Tomography).
 .
 This package provides Python bindings for OpenMEEG library.
