=== debian/watch ===
version=3
opts="dversionmangle=s/.dfsg$//" \
 http://githubredir.debian.net/github/openmeeg/openmeeg /release-(.*).tar.gz
